Opened 11 years ago

Closed 11 years ago

Last modified 11 years ago

#8657 closed defect (duplicate)

libgcrypt spkg has incorrect DSO linking

Reported by: vbraun Owned by: GeorgSWeber
Priority: major Milestone: sage-duplicate/invalid/wontfix
Component: build Keywords: DSO
Cc: pjeremy, drkirby, was Merged in:
Authors: vbraun Reviewers:
Report Upstream: N/A Work issues:
Branch: Commit:
Dependencies: Stopgaps:

Status badges

Description

The libgcrypt src/tests/ have a subtle linker bug which is exposed by the DSO linking changes for Fedora 13, see https://fedoraproject.org/wiki/UnderstandingDSOLinkChange. This version adds libgpg-error to the link command line.

The change is completely safe and is required to compile libgcrypt on Fedora 13 (beta).

http://www.stp.dias.ie/~vbraun/Sage/spkg/libgcrypt-1.4.4.p3.spkg

Change History (2)

comment:1 Changed 11 years ago by mhansen

  • Resolution set to duplicate
  • Status changed from new to closed

Duplicate of #9189. I'm not sure why I didn't see this one before.

comment:2 Changed 11 years ago by mvngu

  • Milestone changed from sage-4.4.4 to sage-duplicate/invalid/wontfix
Note: See TracTickets for help on using tickets.